Skip to main content
PUT
/
v1
/
users
/
{userId}
Update User
curl --request PUT \
  --url https://{tenant}.mindbridge.ai/api/v1/users/{userId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "version": 123,
  "enabled": true
}
'
{
  "id": "<string>",
  "version": 123,
  "creationDate": "2023-11-07T05:31:56Z",
  "lastModifiedDate": "2023-11-07T05:31:56Z",
  "createdUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "lastModifiedUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "firstName": "<string>",
  "lastName": "<string>",
  "email": "<string>",
  "enabled": true,
  "validated": true,
  "serviceAccount": true,
  "recentLogins": [
    {
      "timestamp": "2023-11-07T05:31:56Z",
      "ipAddress": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

userId
string
required

Body

application/json
version
integer<int64>
required

Indicates the data integrity version to ensure data consistency.

role
enum<string>
required

The MindBridge role assigned to the user. Learn about user roles

Available options:
ROLE_ADMIN,
ROLE_ORGANIZATION_ADMIN,
ROLE_USER,
ROLE_CLIENT,
ROLE_MINDBRIDGE_SUPPORT,
ROLE_USER_ADMIN
enabled
boolean
required

Indicates whether or not the user is enabled within this tenant.

Response

200 - application/json

OK

id
string

The unique object identifier.

version
integer<int64>

Indicates the data integrity version to ensure data consistency.

creationDate
string<date-time>

The date that the object was originally created.

lastModifiedDate
string<date-time>

The date that the object was last updated or modified.

createdUserInfo
User Info · object
read-only

Details about the user who created the object.

lastModifiedUserInfo
User Info · object
read-only

Details about the user who last modified or updated the object.

firstName
string

The user's first name.

lastName
string

The user's last name.

email
string

The user's email address.

role
enum<string>

The MindBridge role assigned to the user. Learn about user roles

Available options:
ROLE_ADMIN,
ROLE_ORGANIZATION_ADMIN,
ROLE_USER,
ROLE_CLIENT,
ROLE_MINDBRIDGE_SUPPORT,
ROLE_USER_ADMIN
enabled
boolean

Indicates whether or not the user is enabled within this tenant.

validated
boolean

Indicates whether or not the user has opened the account activation link after being created.

serviceAccount
boolean

Indicates whether or not this account is used as part of an API token.

recentLogins
Login Record · object[]

A list of the latest successful logins or token usage events by IP address.